$ErrorActionPreference = 'Stop';

$packageName= 'invantive-query-tool'

$packageArgs = @{
  packageName = $packageName
  fileType = 'MSI'
  url = 'https://download.invantive.com/release/msi/Invantive%20Query%20Tool-22.0.176.msi'
  url64bit = 'https://download.invantive.com/release/msi/Invantive%20Query%20Tool-22.0.176.msi'
  softwareName = 'Invantive Query Tool'
  checksum = '84784786C96819703A1EBA71C5CD5F3D88C128614E79573AC23EBDBB68C8E5B8'
  checksumType = 'sha256'
  checksum64 = '84784786C96819703A1EBA71C5CD5F3D88C128614E79573AC23EBDBB68C8E5B8'
  checksumType64 = 'sha256'
  silentArgs = "/qn /norestart /l*v `"$env:Temp\invantive-query-tool-22.0.176-msi-install.log`""
  validExitCodes = @(0, 3010, 1641)
}

Install-ChocolateyPackage @packageArgs
